Package org.eclipse.lemminx.extensions.contentmodel.participants

## Enum XMLSyntaxErrorCode

- java.lang.Object
- - java.lang.Enum<XMLSyntaxErrorCode>
  - - org.eclipse.lemminx.extensions.contentmodel.participants.XMLSyntaxErrorCode

All Implemented Interfaces:
  `Serializable`, `Comparable<XMLSyntaxErrorCode>`, `IXMLErrorCode`

    public enum XMLSyntaxErrorCode
    extends Enum<XMLSyntaxErrorCode>
    implements IXMLErrorCode

XML error code.

### Enum Constant Summary

Enum Constants
`AttributeNotUnique`
`AttributeNSNotUnique`
`AttributePrefixUnbound`
`ContentIllegalInProlog`
`CustomETag`
`DashDashInComment`
`DoctypeNotAllowed`
`ElementPrefixUnbound`
`ElementUnterminated`
`EmptyPrefixedAttName`
`EncodingDeclRequired`
`EqRequiredInAttribute`
`EqRequiredInXMLDecl`
`ETagRequired`
`ETagUnterminated`
`IllegalQName`
`InvalidCommentStart`
`LessthanInAttValue`
`MarkupEntityMismatch`
`MarkupNotRecognizedInContent`
`NameRequiredInReference`
`NoGrammarConstraints`
`NoMorePseudoAttributes`
`OpenQuoteExpected`
`PITargetRequired`
`PrematureEOF`
`PseudoAttrNameExpected`
`QuoteRequiredInXMLDecl`
`RootElementTypeMustMatchDoctypedecl`
`SDDeclInvalid`
`SemicolonRequiredInReference`
`SpaceRequiredBeforeEncodingInXMLDecl`
`SpaceRequiredBeforeStandalone`
`SpaceRequiredInPI`
`VersionInfoRequired`
`VersionNotSupported`
`XMLDeclUnterminated`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static XMLSyntaxErrorCode` `get​(String name)`
`String` `getCode()` Returns the XML error code.
`static void` `registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions, SharedSettings sharedSettings)`
`static org.eclipse.lsp4j.Range` `toLSPRange​(org.apache.xerces.xni.XMLLocator location, XMLSyntaxErrorCode code, Object[] arguments, DOMDocument document)` Create the LSP range from the SAX error.
`static XMLSyntaxErrorCode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static XMLSyntaxErrorCode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AttributeNotUnique

    public static final XMLSyntaxErrorCode AttributeNotUnique

#### AttributeNSNotUnique

    public static final XMLSyntaxErrorCode AttributeNSNotUnique

#### AttributePrefixUnbound

    public static final XMLSyntaxErrorCode AttributePrefixUnbound

#### ContentIllegalInProlog

    public static final XMLSyntaxErrorCode ContentIllegalInProlog

#### DashDashInComment

    public static final XMLSyntaxErrorCode DashDashInComment

#### ElementUnterminated

    public static final XMLSyntaxErrorCode ElementUnterminated

#### ElementPrefixUnbound

    public static final XMLSyntaxErrorCode ElementPrefixUnbound

#### EmptyPrefixedAttName

    public static final XMLSyntaxErrorCode EmptyPrefixedAttName

#### EncodingDeclRequired

    public static final XMLSyntaxErrorCode EncodingDeclRequired

#### ETagRequired

    public static final XMLSyntaxErrorCode ETagRequired

#### ETagUnterminated

    public static final XMLSyntaxErrorCode ETagUnterminated

#### EqRequiredInAttribute

    public static final XMLSyntaxErrorCode EqRequiredInAttribute

#### EqRequiredInXMLDecl

    public static final XMLSyntaxErrorCode EqRequiredInXMLDecl

#### IllegalQName

    public static final XMLSyntaxErrorCode IllegalQName

#### InvalidCommentStart

    public static final XMLSyntaxErrorCode InvalidCommentStart

#### LessthanInAttValue

    public static final XMLSyntaxErrorCode LessthanInAttValue

#### MarkupEntityMismatch

    public static final XMLSyntaxErrorCode MarkupEntityMismatch

#### MarkupNotRecognizedInContent

    public static final XMLSyntaxErrorCode MarkupNotRecognizedInContent

#### NameRequiredInReference

    public static final XMLSyntaxErrorCode NameRequiredInReference

#### OpenQuoteExpected

    public static final XMLSyntaxErrorCode OpenQuoteExpected

#### PITargetRequired

    public static final XMLSyntaxErrorCode PITargetRequired

#### PseudoAttrNameExpected

    public static final XMLSyntaxErrorCode PseudoAttrNameExpected

#### QuoteRequiredInXMLDecl

    public static final XMLSyntaxErrorCode QuoteRequiredInXMLDecl

#### RootElementTypeMustMatchDoctypedecl

    public static final XMLSyntaxErrorCode RootElementTypeMustMatchDoctypedecl

#### SDDeclInvalid

    public static final XMLSyntaxErrorCode SDDeclInvalid

#### SemicolonRequiredInReference

    public static final XMLSyntaxErrorCode SemicolonRequiredInReference

#### SpaceRequiredBeforeEncodingInXMLDecl

    public static final XMLSyntaxErrorCode SpaceRequiredBeforeEncodingInXMLDecl

#### SpaceRequiredBeforeStandalone

    public static final XMLSyntaxErrorCode SpaceRequiredBeforeStandalone

#### SpaceRequiredInPI

    public static final XMLSyntaxErrorCode SpaceRequiredInPI

#### VersionInfoRequired

    public static final XMLSyntaxErrorCode VersionInfoRequired

#### VersionNotSupported

    public static final XMLSyntaxErrorCode VersionNotSupported

#### XMLDeclUnterminated

    public static final XMLSyntaxErrorCode XMLDeclUnterminated

#### CustomETag

    public static final XMLSyntaxErrorCode CustomETag

#### PrematureEOF

    public static final XMLSyntaxErrorCode PrematureEOF

#### DoctypeNotAllowed

    public static final XMLSyntaxErrorCode DoctypeNotAllowed

#### NoMorePseudoAttributes

    public static final XMLSyntaxErrorCode NoMorePseudoAttributes

#### NoGrammarConstraints

    public static final XMLSyntaxErrorCode NoGrammarConstraints

### Method Detail

#### values

    public static XMLSyntaxErrorCode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XMLSyntaxErrorCode c : XMLSyntaxErrorCode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XMLSyntaxErrorCode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getCode

    public String getCode()

Description copied from interface: `IXMLErrorCode`
Returns the XML error code.

Specified by:
  `getCode` in interface `IXMLErrorCode`
Returns:
  the XML error code.

#### get

    public static XMLSyntaxErrorCode get​(String name)

#### toLSPRange

    public static org.eclipse.lsp4j.Range toLSPRange​(org.apache.xerces.xni.XMLLocator location,
                                                     XMLSyntaxErrorCode code,
                                                     Object[] arguments,
                                                     DOMDocument document)

Create the LSP range from the SAX error.

Parameters:
  `location` -
  `key` -
  `arguments` -
  `document` -
Returns:
  the LSP range from the SAX error.

#### registerCodeActionParticipants

    public static void registerCodeActionParticipants​(Map<String,​ICodeActionParticipant> codeActions,
                                                      SharedSettings sharedSettings)